var net = require('net');
const {
    SOCKET_HOST,
    SOCKET_PROT
} = require('../const');

var client= new net.Socket();

//创建socket客户端
client.setEncoding('binary');
//连接到服务端
client.connect(SOCKET_PROT, SOCKET_HOST, () => {
    client.write('hello server');
    //向端口写入数据到达服务端
});

client.on('data', (data) => {
    console.log('from server:'+ data);
    //得到服务端返回来的数据
});

client.on('error', (error) =>{
    //错误出现之后关闭连接
    console.log('error:'+error);
    client.destory();
});

client.on('close', () => {
    //正常关闭连接
    console.log('Connection closed');
});